<template>
  <div id="list_1">
    <van-col span="24" class="main">
      <van-col span="24" class="list" v-for="(item, index) in list" :key="index">
        <van-col span="24" class="title">
          {{ item.name }}
        </van-col>
        <van-col span="24" class="other">
          <van-col span="24" class="otherInfo">
            机构代码或邀请码:<span style="color: zzzzz#ff0000">{{ item.code || '暂无' }}</span>
          </van-col>
          <van-col span="24" class="otherInfo">
            机构名称:<span>{{ item.deptname || '暂无' }}</span>
          </van-col>
          <van-col span="24" class="otherInfo">
            联系电话:<span>{{ item.phone || '暂无' }}</span>
          </van-col>
        </van-col>
        <van-col span="24" class="btn">
          <van-button type="info" size="small" @click="toEdit(item)">修改信息</van-button>
          <van-button type="danger" size="small" @click="toDel(item)">删除信息</van-button>
          <van-button type="info" size="small" @click="toPsd(item)">重置密码</van-button>
        </van-col>
      </van-col>
    </van-col>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'list_1',
  props: {
    list: { type: Array },
  },
  components: {},
  data: function () {
    return {};
  },
  created() {},
  methods: {
    // 编辑信息
    toEdit(data) {
      this.$emit('toEdit', data);
    },
    // 删除信息
    toDel(data) {
      this.$emit('toDel', data);
    },
    // 重置密码
    toPsd(data) {
      this.$emit('toPsd', data);
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  .list {
    background-color: #fff;
    margin: 0 0 8px 0;
    padding: 8px;
    border-radius: 5px;
    .title {
      font-size: 16px;
      font-weight: bold;
      margin: 0 0 5px 0;
    }
    .other {
      margin: 0 0 5px 0;
      .otherInfo {
        font-size: 14px;
        color: #666;
        margin: 0 0 5px 0;
        span {
          color: #000;
        }
      }
    }
    .btn {
      text-align: center;
      .van-button {
        margin: 0 10px;
      }
    }
  }
}
</style>
